Name:           kio-clipboard
Version:        0.2.5
Release:        %{mkrel 2}
Summary:        KDE IO Slave for file based access of clipboard entries

Group:          Graphical desktop/KDE
License:        GPLv2+
Source:         %name-%version.tar.bz2
Url:            http://kde-apps.org/content/show.php/kio-clipboard?content=143976

BuildRequires:  kdebase4-workspace-devel
BuildRequires:  qjson-devel

%description
kio_clipboard implements kio-slaves, plugins for KDEs io system. It makes the
content of clipboards available inside file management. That means you can
access the clipboards entries using standard file dialogs like 'File open' or
'Save File', you even can use a file browser and access entries. In general
you can use the slaves wherever you can use an url inside KDE to get access to
the clipboards content. There are no temporary files generated.

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG
%{_kde_libdir}/kde4/kio_clipboard.so
%{_kde_libdir}/kde4/kio_klipper.so
%{_kde_datadir}/kde4/services/clipboard.protocol
%{_kde_datadir}/kde4/services/klipper.protocol



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 356231
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 24 2011 juancho <juancho> 0.2.5-1.mga2
+ Revision: 135115
- Adjusted mkrel
- Adjusted mkrel to 1 because of new version.

  + gejo <gejo>
    - Update Group section
    - update app version and added BuilRequires qjson-devel
    - Change Group in SPEC
    - Added defattr section
    - imported package kio-clipboard

  + dmorgan <dmorgan>
    - Clean spec file

